Bug 98511 - ftp error message has wrong pathname
ftp error message has wrong pathname
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-02 22:51 EDT by Stephen Samuel
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-09 01:23:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stephen Samuel 2003-07-02 22:51:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
When installing via ftp, if the net installer cannot download the stage2 file,
it will complain that the wrong file is unavailable.

If you specify 
ftp.my.com  /redhat9
it will complain that it can't access
ftp://ftp.my.com//redhat9/RedHat/base/netstg2.img
checking the output from a ethereal capture, it's actually 
requesting
RETR /redhat/disc1/RedHat/base/netstg2.img

I'm guessing that the error message is inherited from the old installers that
expected all of the install CD's copied into one mamoth directory instead of
split by ISO image.

Version-Release number of selected component (if applicable):
9

How reproducible:
Always

Steps to Reproduce:
1.Start installation without the files properly available on the FTP server
2. Put FTP files where the error message says it wants them.
3. Retry download
4. Compare error message with output from ethereal capture
    

Actual Results:  Message: cannot access
ftp://ftp.my.com//redhat9/RedHat/base/netstg2.img

Expected Results:  Message: cannot access
ftp://ftp.my.com//redhat9/disc1/RedHat/base/netstg2.img

Additional info:
Comment 1 Jeremy Katz 2003-07-09 01:23:11 EDT
Fixed in CVS and the update disk is at http://people.redhat.com/~katzj/9-updates.img

Note You need to log in before you can comment on or make changes to this bug.